Remove a specific glue record associated with one of your domains, useful when a nameserver address needs to be updated or removed.
path.domainId domainId integer · min: 1 required
Example: 10000 Unique domain identifier
hostname string required
Example: example.com Fully qualified domain name
Accept Example Content-Type Example data object required data.hostname string required
· Example: example.com data.message string required
· Example: Glue record deleted for example.com Human-readable message.
requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
code string required
· Example: BAD_REQUEST Machine-readable error code.
error string required
· Example: Bad Request HTTP status title (e.g. 'Bad Request').
message string required
· Example: Cannot delete glue record - it is currently in use by one or more domains. Remove it as... Human-readable message.
requestId string
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
timestamp string
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/domains/{domainId}/glue-records/{hostname} curl -X DELETE "https://cloud.hostup.se/api/domains/10000/glue-records/example.com" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"hostname": "example.com",
"message": "Glue record deleted for example.com"
}
}